<?php

declare(strict_types=1);

namespace Dedi\SyliusMigrationPlugin\Service\Sql;

use Dedi\SyliusMigrationPlugin\Definition\TableMappingDefinition;

interface SqlProcessorInterface
{
    public function tableExists(TableMappingDefinition $tableMappingDefinition, string $columnName): bool;

    public function defuse();
}
